unit UnidadOpciones;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TSettings = record
    ROH    : boolean;//read only, hidden attributes
    ScanFiles : boolean;//contained files
    Summ  : boolean;//summary
    Legend  : boolean;
    Author  : boolean;
    AuthStr : string;
    Width,Height,
    Left,Top : integer;
  end;

  TformOpciones = class(TForm)
    GroupBox1: TGroupBox;
    btnCancel: TButton;
    btnOK: TButton;
    chkScanFiles: TCheckBox;
    chkROH: TCheckBox;
    chkSumm: TCheckBox;
    chkLegends: TCheckBox;
    chkAuthor: TCheckBox;
    txtAuthor: TEdit;
    procedure chkAuthorClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  procedure ShowOptions(var Settings : TSettings);


implementation

{$R *.dfm}

procedure ShowOptions(var Settings : TSettings);
var
  PageOptions: TformOpciones;
begin
  PageOptions := TformOpciones.Create(Application);
  try
    with PageOptions,Settings do
      begin
        chkROH.Checked := ROH;
        chkScanFiles.Checked := ScanFiles;
        chkSumm.Checked := Summ;
        chkAuthor.Checked := Author;
        chkLegends.Checked := Legend;
        txtAuthor.Text := AuthStr;
        if ShowModal = mrOK then
          begin
            ROH := chkROH.Checked;
            ScanFiles := chkScanFiles.Checked;
            Summ := chkSumm.Checked;
            Author := chkAuthor.Checked;
            Legend := chkLegends.Checked;
            AuthStr := txtAuthor.Text;
          end;
      end;
  finally
    PageOptions.Free;
  end;
end;

procedure TformOpciones.chkAuthorClick(Sender: TObject);
begin
  txtAuthor.Enabled := (Sender as TCheckBox).Checked;
  if (Sender as TCheckBox).Checked then
    txtAuthor.Color := clWindow
  else
    txtAuthor.Color := clBtnFace;
end;

end.
